From 6c056315ad83ae954876657f9b294dea80def0da Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 12 Jun 2009 11:19:12 +0200
Subject: [PATCH] mkinitrd: fix build failure on ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 mkinitrd-6.0.86-arm.patch |   11 +++++++++++
 mkinitrd.spec             |    7 ++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 mkinitrd-6.0.86-arm.patch

diff --git a/mkinitrd-6.0.86-arm.patch b/mkinitrd-6.0.86-arm.patch
new file mode 100644
index 0000000..12f8986
--- /dev/null
+++ b/mkinitrd-6.0.86-arm.patch
@@ -0,0 +1,11 @@
+--- mkinitrd-6.0.86.orig/nash/util.h	2009-05-21 15:14:01.000000000 -0400
++++ mkinitrd-6.0.86/nash/util.h	2009-06-07 12:10:11.000000000 -0400
+@@ -510,7 +510,7 @@ static inline int nash_ppoll_fallback(st
+     }
+     return rc;
+ }
+-#ifdef __ia64__
++#if defined( __ia64__ ) || defined( __arm__ )
+ #define nash_ppoll nash_ppoll_fallback
+ #else
+ #define nash_ppoll(fds, nfds, timeout, sigmask, nsigs) ({                   \
diff --git a/mkinitrd.spec b/mkinitrd.spec
index fb52f8f..f18ab43 100644
--- a/mkinitrd.spec
+++ b/mkinitrd.spec
@@ -3,7 +3,7 @@
 Summary: Creates an initial ramdisk image for preloading modules.
 Name: mkinitrd
 Version: 6.0.86
-Release: 2%{?dist}
+Release: 2%{?dist}.fa1
 License: GPLv2+
 Group: System Environment/Base
 Source0: mkinitrd-%{version}.tar.bz2
@@ -29,6 +29,7 @@ Requires: ppc64-utils >= 0.3-1
 Requires: nash = %{version}-%{release}
 Requires: grubby = %{version}-%{release}
 BuildRoot: %{_tmppath}/%{name}-root
+Patch:mkinitrd-6.0.86-arm.patch 
 
 %description
 mkinitrd creates filesystem images for use as initial ram filesystem
@@ -79,6 +80,7 @@ information about the current boot environment.
 
 %prep
 %setup -q -n mkinitrd-%{version}
+%patch -p1 
 find . -name "Makefile*" -exec sed -i 's|-Werror||g' {} \;
 
 %build
@@ -137,6 +139,9 @@ rm -rf $RPM_BUILD_ROOT
 %dir %{_sysconfdir}/kernel/prerm.d
 
 %changelog
+* Fri Jun 12 2009 Kedar Sovani <kedars@marvell.com> - 6.0.86-2.fa1
+- Fix build on ARM
+
 * Fri May 29 2009 Peter Jones <pjones@redhat.com> - 6.0.86-2
 - Require "kbd" package so keyboard settings will work right after initial
   installation. (#501584)
-- 
1.5.5.6

